Bug 152504 - incomplete dependencies break pkgconfig dependency chain
incomplete dependencies break pkgconfig dependency chain
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-03-29 17:01 EST by Michael Schwendt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 10:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2005-03-29 17:01:30 EST
Without splitting off a -devel package or deleting the .pc file, it's
not possible to fix this.

Package nautilus contains a pkgconfig template file, which lists other
pkgconfig files as requirements. When these files are included in
other RPM packages, the RPM package "Requires" must be complete. Else
pkgconfig fails, prints an error message and returns an error code for
standard queries like "pkg-config --exists foo-1.0", "pkg-config
--cflags foo-1.0" or "pkg-config --list-all".


missing dependencies due to pkgconfig files:

Requires: gnome-vfs2-devel
Requires: glib2-devel
Requires: gtk2-devel
Comment 1 Alexander Larsson 2006-09-04 10:43:55 EDT
We now have a nautilus-devel package.

Note You need to log in before you can comment on or make changes to this bug.